Package org.apache.felix.framework.util

# Class StringMap

java.lang.Object
java.util.AbstractMap<String,Object>
org.apache.felix.framework.util.StringMap

All Implemented Interfaces:
  `Map<String,Object>`

public class StringMap extends AbstractMap<String,Object>
Simple utility class that creates a map for string-based keys. This map can be set to use case-sensitive or case-insensitive comparison when searching for the key. Any keys put into this map will be converted to a `String` using the `toString()` method, since it is only intended to compare strings.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`StringMap()`
`StringMap(Map<? extends Object,? extends Object> map)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`boolean`
`containsKey(Object arg0)`
`boolean`
`containsValue(Object arg0)`
`Set<Map.Entry<String,Object>>`
`entrySet()`
`Object`
`get(Object arg0)`
`boolean`
`isEmpty()`
`Object`
`put(String key, Object value)`
`void`
`putAll(Map<? extends String,? extends Object> map)`
`Object`
`remove(Object arg0)`
`int`
`size()`

### Methods inherited from class java.util.AbstractMap

`clone, equals, hashCode, keySet, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### StringMap

public StringMap()

### StringMap

public StringMap(Map<? extends Object,? extends Object> map)

## Method Details

### size

public int size()

Specified by:
  `size` in interface `Map<String,Object>`
Overrides:
  `size` in class `AbstractMap<String,Object>`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Map<String,Object>`
Overrides:
  `isEmpty` in class `AbstractMap<String,Object>`

### containsKey

public boolean containsKey(Object arg0)

Specified by:
  `containsKey` in interface `Map<String,Object>`
Overrides:
  `containsKey` in class `AbstractMap<String,Object>`

### containsValue

public boolean containsValue(Object arg0)

Specified by:
  `containsValue` in interface `Map<String,Object>`
Overrides:
  `containsValue` in class `AbstractMap<String,Object>`

### get

public Object get(Object arg0)

Specified by:
  `get` in interface `Map<String,Object>`
Overrides:
  `get` in class `AbstractMap<String,Object>`

### put

public Object put(String key, Object value)

Specified by:
  `put` in interface `Map<String,Object>`
Overrides:
  `put` in class `AbstractMap<String,Object>`

### putAll

public void putAll(Map<? extends String,? extends Object> map)

Specified by:
  `putAll` in interface `Map<String,Object>`
Overrides:
  `putAll` in class `AbstractMap<String,Object>`

### remove

public Object remove(Object arg0)

Specified by:
  `remove` in interface `Map<String,Object>`
Overrides:
  `remove` in class `AbstractMap<String,Object>`

### clear

public void clear()

Specified by:
  `clear` in interface `Map<String,Object>`
Overrides:
  `clear` in class `AbstractMap<String,Object>`

### entrySet

public Set<Map.Entry<String,Object>> entrySet()

Specified by:
  `entrySet` in interface `Map<String,Object>`
Specified by:
  `entrySet` in class `AbstractMap<String,Object>`